Bug 16960 - new version required
: new version required
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gnumeric)
: unstable
: all Linux
: P4 major
Assigned To:
:
:
: distro-blocker
:
: 23155
  Show dependency tree
 
Reported: 2008-09-01 06:37 by
Modified: 2011-09-12 22:54 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


------- Comment #1 From 2008-09-10 16:38:39 -------
done
------- Comment #2 From 2008-09-17 16:40:26 -------
Скажите, пожалуйста, новой версии gnumeric обязательно нужна libdb-4.7?
Хотелось бы обновить gnumeric в 4.1, в котором db-4.4.
------- Comment #3 From 2008-09-29 13:15:42 -------
(In reply to comment #2)
> Скажите, пожалуйста, новой версии gnumeric обязательно нужна libdb-4.7? Хотелось бы
> обновить gnumeric в 4.1, в котором db-4.4.
> 

она если и нужна то для libgnomedb. Насчет "обязательно ли 4.7" честно говоря
не знаю. Да и libgnomedb тоже можно оторвать.
------- Comment #4 From 2008-11-10 19:08:07 -------
Еще 19 октября вышел 1.9.3
http://ftp.gnome.org/pub/GNOME/sources/gnumeric/1.9/gnumeric-1.9.3.news
------- Comment #5 From 2008-11-27 16:55:23 -------
done.
И лучше мне в jabber кидать что вышло (я отслеживаю вообщем но не ежедневно)
------- Comment #6 From 2010-04-21 12:07:25 -------
gnumeric-1.10.2
http://mail.gnome.org/archives/ftp-release-list/2010-April/msg00042.html
------- Comment #7 From 2010-04-21 14:34:23 -------
уползло в сизиф
------- Comment #8 From 2011-05-23 15:41:04 -------
goffice-0.8.15 и gnumeric-1.10.15 вышли, -- соберите, пожалуйста.
------- Comment #10 From 2011-08-28 05:28:38 -------
ping
31.07 вышел 1.10.17
------- Comment #11 From 2011-08-28 05:39:21 -------
Gnumeric 1.11.0

Andreas: 
    * Use formatting attributes whenever we format numbers. 
    [#584380][#651561]
    * Clarify the distinction beween open/save and import/export.
    * Fix enabling of modify comment or hyperlink. [#655877]
    * Fully read scientific format from ODF.
    * Provide xls file opener permitting encoding specification. [#535473]
    * Fix writing of scatter style in xlsx export. [#656799]
    * Provide progress feedback for xlsx import. [#634803]
    * Provide progress feedback when generating random numbers.
    * Add HPFILTER function calculating the Hodrick Prescott Filter.
    * Fix saving of newlines to xls. [#356711]
    * Enable markup selection in scientific format selector.

Jean:
    * Make things build against gtk+-3.0.
    * Make Ctrl-PgUp and Ctrl-PgDn work on chart-only sheets. [#645673]
    * Fix row height autofit when zoom level is not 1. [#656418]
    * Fix actions sensitivity for chart sheets. [#645842]

Valek:
    * In xls import, set LABEL encoding based on FONT charset converted to 
    codepage. [#304007, ubuntu #262777]

--------------------------------------------------------------------------
Gnumeric 1.10.17

Andreas:
    * Fix some style import from ODF. [#652492]
    * Import/Export print formatting from/to ODF. [#653186]
    * Write and read some document properties to and from XLSX.
    * Fix xlsx schema violations.
    * Fix keyword handling in properties dialog. [#653378]
    * Allow document properties to be edited and added.
    * Add an interface for conditional styles.
    * Fix ODF import of styles with inherited conditional styles. [#654214] 
    * Provide undo for cut between 2 gnumeric processes. [#640922]
    * Fix bar and column chart import/export to ODF.
    * Speed up frequent calls to INTERPOLATION with the same 
    abscissae/ordinates. [#654538]
    * Export defined names to xlsx. [#655010]
    * Implement printing of errors as blanks, dashes or NAs.
    * Fix printing of column headers and borders when formulae are shown. 
    [#655389]
    * Fix import of Excel 2003 xml files in non-C locale. [#655554]

Jean:
    * Fix selection background. [#648676]

Morten:
    * Fix --with-gnome compilation:  [#652802]
    * Fix parsing crash.  [Redhat #726860]

--------------------------------------------------------------------------
Gnumeric 1.10.16

Andreas:
    * Store some print range information in gnumeric files. [#649714]
    * Hide Prefer CLIPBOARD preference under MS Windows. [#649675]
    * Extend the goto dialog.
    * Extend the address box to handle both A1 and R1C1 style addresses.
      [#650941]
    * Change the default widget when rolling up or down the default widget. 
      [#651173][#646612]
    * Import external references from ODF. [#645580]
    * Some documentation improvements.
    * Read fraction formats correctly from ODF 1.2 files.
    * Fix regression line export to ODF.
    * Fix font and background colour import of LibreOffice generated xlsx
      files.
    * In xlsx files, do not ignore gradient cell background fills
      completely. [#644496]
    * Export some cell formatting to xlsx files. [#532635]
    * Fix reading of diagonal borders from xlsx files. [#652690]
    * Fix writing to xlsx of file with comments. [#652689]
    * Add exporter for ECMA-376 2nd edition.
    * Fix some font-name handling in ODF import.

Morten:
    * Fix leaks in SHEET.  [#650761]
    * Fix leaks in SHEETS.  [#650764]
    * Fix leak in name dialog.
    * Switch to using goffice's complex math.
    * Fix graph axis problem.  [Part of #599901]
    * Drop unneeded value formats.  [#651667]

--------------------------------------------------------------------------
Gnumeric 1.10.15

Andreas:
    * Fix shift-arrow movement for sheet objects. [#645805]
    * Expand the description of SSMEDIAN. [#647247]
    * Redesign autofilter Top10 dialog. [#646641]
    * Handle NUL characters in cvs import. [#648354]
    * Fix some Statistics tool formatting. [#649092]
    * Fix undo crash for column widths. [#649139]
    * Indicate vararg functions in function browser and docs. [#649484]
    * Fix handling of argument names in docs. [#649592]
    * Fix pdf docs. [#649591]
    * Handle MS Works formula import. [#649406]
    * Restore Gnumeric print range. [#649714]
    * Set default, save and restore print file name. [#649711][#649713]
    * Some ODF 1.2 export fixes including [#649906] and [#649914].
    * Export external references to ODF.
    * Fix ODF style handling on import. [#649851]
    * Import more validations from ODF.
    * Export all validations to ODF.
    * Fix printing of background colours. [#650261]
    * From ODF also import named expressions with illegal name. [#650125]
    * Handle [#REF!] and friends on ODF import. [#650639][#650640]
    * Handle some invalid expressions in ODF import. [#650625] 

Jean:
    * Fixed critical. [#649901]

Morten:
    * Fix problems with localized function docs.
    * Plug leaks.
    * Fix minor problem reading old xls objects.
    * Reduce memory usage when new glib is used.  [#644197]
    * Eliminate col/row infos that are identical to the default.  [#155003]
    * Fix problems reading some Lotus 1-2-3 files.
    * Fix paste-special repeat.
    * Fix ADDRESS problem.
    * Fix xlsx write problem.  [#650639]

Urmas:
    * Initial support for Works files.  [#647492]

--------------------------------------------------------------------------
Gnumeric 1.10.14

Andreas:
    * Fix width of translated lists in various dialogs [#641626]
    * Allow function tooltips to be closed temporarily [#641355]
    * Import & export list validation from and to ODF files. [#640701]
    * Minor histogram improvements.
    * Fix import of LibreOffice created xlsx files using shared formulas.
      [#642850]
    * Fix crash on resaving LibreOffice created xlsx files with unauthored
      comments. [#642850]
    * Trigger configurable text importer on paste of tabs. [#395631]
    * Fix ctrl-end in presence of hidden rows. [#643971]
    * Fix import of dbf files with more than 65536 rows. [#644189]
    * Export workbook-scoped named expressions and ranges to ODF.
    * Improve reading of named expressions from ODF files.
    * Fix weighted and Spencer moving averages crashes. [#645722]
    * Avoid creation of unused names. [#650281]

Jean:
    * Fix cursor position inside a cell edited in a zoomed sheet. [#641709]
    * Add GSettings schemas.
    * Import multiple runs chart titles from xlsx. [#643814]
    * Import axis crossing position from xlsx. [#642941]

Morten:
    * Import wide sc files.  [#641581]
    * Fix problem with single-cell names and 'r'-type arguments.  [#613273]
    * Plug leaks.
    * Fix potential crash on quick exit.
    * Fix stf import problem diagnosed by Andreas.  [#642477]
    * Restore toolbar positioning code.
    * Fix solver crash.  [Redhat #680572]
    * Fix xml reading of constraints.  [Redhat #680572]
    * Fix lpsolve/glpk writing of affine part.
    * Fix xlsx import crash.  [#643808]
    * Import sheet visibility from xlsx.  [#643815]
    * Import names from xlsx.  [#643874]
    * Improve dbf codepage support.  [#644189]
    * Improve date format consistency in document properies.  [#644217]
    * Hopefully make print preview work on win32.  [#533795]
    * Improve quit dialog's non-ascii handling.  [#644982]
    * Make print-preview work on win32 by avoiding gtk+.  [#533795]
    * Fix crash related to dynamic deps.  [#645209]
    * Fix stf import crash.  [#645555]
    * Allow templates for multi-sheet ssconvert.  [#645287]

Stanley Pinchak:
    * Improve "dif" output.
------- Comment #12 From 2011-09-12 22:54:55 -------
gnumeric-1.10.17-alt1 -> sisyphus:

* Mon Sep 12 2011 Alexey Morsov <swi@altlinux> 1.10.17-alt1
- new version (ALT #16960)